::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: RESEND.BAT - reimports a folder to Yarn (Aux. file for RESETUP.BAT)
::
@echo off
:: check neccessary environment variables and quit if not set.
if "%1" == "" goto help
if "%yarn%" == "" goto help
if "%home%" == "" goto help
if "%tmp%" == "" goto help

:: Ok, we hopefully start our task.
echo ********** Resend %1
echo.

:: first look, if folder/db file is corrupted
cntfold %1
:: if yes, then skip. (Those files won't be deleted. You would like to have
:: a look on them later, e.g. with EditFold.)
if errorlevel 1 goto ausgang
echo.

:: now make a soup file out of them, that can be fed to import.exe
:: uses active file in %yarn%
sendfold %1 /a:%yarn%\active
:: uncomment the following line if you wish to run AddLines
rem addlines /b- /w.
pkzip -m %tmp%\soupsf.zip areas *.msg > nul
echo.

:: finally, import the soup file
import %tmp%\soupsf.zip
echo.

:: delete the file which has been processed by now.
del %1 > nul
goto ausgang

:help
echo.
echo Syntax: RESEND.BAT foldernewsfile
echo ~~~~~~~
echo RESETUP.BAT reimports a folder/db file to Yarn, if the folder is not corrupted.
echo RESEND.BAT is an auxilliary batch for RESETUP.BAT, but may as well used for
echo its own.
echo.
echo RESEND.BAT requires the env. variables %%yarn%%, %%home%% and %%tmp%% to be set.

:ausgang
